// klient

#include "rdate.h"
#include <stdlib.h>
#include <time.h>

void rdateprog_1( char* host)
{
    CLIENT *clnt;
    int *result_1;
    char *endptr;
    int i;
    
    clnt = clnt_create(host, RDATEPROG, RDATEVERS, "udp");
   
    if (clnt == NULL) {
      clnt_pcreateerror(host);
      exit(1);
    }
    
    result_1 = rdate_1(NULL,clnt);
    if (result_1 == NULL) {
      clnt_perror(clnt, "call failed:");
    }
    
    clnt_destroy( clnt );
    printf("time [%s] = %s",host,ctime(result_1));
}

main( int argc, char* argv[] )
{
   if(argc < 2) {
     printf("usage: %s server_host\n", argv[0]);
     exit(1);
   }
        
   rdateprog_1(argv[1]);
}
